CVE-2015-7872

NameCVE-2015-7872
DescriptionThe key_gc_unused_keys function in security/keys/gc.c in the Linux kernel through 4.2.6 allows local users to cause a denial of service (OOPS) via crafted keyctl commands.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDSA-3396-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)buster4.19.249-2fixed
buster (security)4.19.260-1fixed
bullseye5.10.140-1fixed
bullseye (security)5.10.149-2fixed
bookworm6.0.10-2fixed
sid6.0.12-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcewheezy3.2.68-1+deb7u6DSA-3396-1
linuxsourcejessie3.16.7-ckt11-1+deb8u6DSA-3396-1
linuxsource(unstable)4.2.5-1
linux-2.6sourcesqueeze(not affected)
linux-2.6source(unstable)(unfixed)

Notes

[squeeze] - linux-2.6 <not-affected> (Vulnerable code not present)
https://bugzilla.redhat.com/show_bug.cgi?id=1272371
Prerequisite for Fedora patches: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=94c4554ba07adbdde396748ee7ae01e86cf2d8d7
Patches from Fedora: http://pkgs.fedoraproject.org/cgit/kernel.git/commit/?id=d76d5fe34b5c151ad83761160998b1075729b541
Upstream commit: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f05819df10d7b09f6d1eb6f8534a8f68e5a4fe61 (v4.3-rc7)
https://www.openwall.com/lists/oss-security/2015/10/20/5

Search for package or bug name: Reporting problems